﻿using MySoapLib;

namespace TestWS
{
    //这个类要继承自SoapAsyncHandler，它会自动接收soap消息并调用匹配的方法
    //然后要编写和VirtualServiceUri所指向的webService有相同的方法，但返回值都是void，
    //在对请求处理完成时构造返回值,再调用asynch.WriteResult来向调用者返回SOAP消息
    public class Handler1 : SoapAsyncHandler
    {
        protected override string VirtualServiceUri
        {
            get { return "/Service1.asmx"; }
        }

        public void RegisterUser(UserInfo userInfo)
        {
            var result = new RegisterResult();
            result.Username = userInfo.Username;
            result.StatusCode = 200;
            result.Description = "ok";
            asynch.WriteResult(result);
        }
    }
}