﻿using System;
using System.Collections.Generic;
using System.Security.Permissions;
using System.Security.Policy;
using System.Web;

namespace MySoapLib {
    [PermissionSet(SecurityAction.InheritanceDemand, Name = "FullTrust"), PermissionSet(SecurityAction.LinkDemand, Name = "FullTrust")]
    public class ServerType {
        // Fields
        private Type type;

        // Methods
        public ServerType(Type type) {
            this.type = type;
        }

        // Properties
        internal Evidence Evidence {
            get {
                new SecurityPermission(SecurityPermissionFlag.ControlEvidence).Assert();
                return this.Type.Assembly.Evidence;
            }
        }

        internal Type Type {
            get {
                return this.type;
            }
        }
    }


}
