﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace MySoapLib {
    public abstract class SoapAsyncHandler : IHttpAsyncHandler {
        protected HttpAsynchOperation asynch;
        protected abstract string VirtualServiceUri { get; }
        public void ProcessRequest(HttpContext context) {
            throw new InvalidOperationException();
        }

        public bool IsReusable {
            get {
                return false;
            }
        }
        public IAsyncResult BeginProcessRequest(HttpContext context, AsyncCallback cb, object extraData) {
            asynch = new HttpAsynchOperation(cb, context, extraData);
            asynch.StartAsyncWork(new object[] { VirtualServiceUri, this });
            return asynch;
        }

        public void EndProcessRequest(IAsyncResult result) {
        }
    }
}
