﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Web;
using System.Web.Services.Protocols;

namespace MySoapLib {
    public abstract class SoapExtension {
        // Methods
        protected SoapExtension() {
        }

        public virtual Stream ChainStream(Stream stream) {
            return stream;
        }

        public abstract object GetInitializer(Type serviceType);
        public abstract object GetInitializer(LogicalMethodInfo methodInfo, SoapExtensionAttribute attribute);
        public abstract void Initialize(object initializer);
        public abstract void ProcessMessage(SoapMessage message);
    }

 

}
