﻿using System;
using System.Collections.Generic;
using System.Reflection;
using System.Security.Permissions;
using System.Web;
using System.Web.Services.Protocols;

namespace MySoapLib {
    [PermissionSet(SecurityAction.LinkDemand, Name = "FullTrust")]
    public sealed class SoapHeaderMapping {
        // Fields
        internal bool custom;
        internal SoapHeaderDirection direction;
        internal Type headerType;
        internal MemberInfo memberInfo;
        internal bool repeats;

        // Methods
        internal SoapHeaderMapping() {
        }

        // Properties
        public bool Custom {
            get {
                return this.custom;
            }
        }

        public SoapHeaderDirection Direction {
            get {
                return this.direction;
            }
        }

        public Type HeaderType {
            get {
                return this.headerType;
            }
        }

        public System.Reflection.MemberInfo MemberInfo {
            get {
                return this.memberInfo;
            }
        }

        public bool Repeats {
            get {
                return this.repeats;
            }
        }
    }


}
